#include <stdio.h>
int main()
{
	int n;
	long long int sum = 0;
	scanf("%d", &n);
	int niz1[n], niz2[n], niz3[n];
	for (int i = 0; i < n; i++) scanf("%d", &niz1[i]);
	for (int i = 0; i < n; i++) scanf("%d", &niz2[i]);
	for (int i = 0; i < n; i++) scanf("%d", &niz3[i]);
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < n; j++)
		{
			if (niz1[i] == niz2[j])
			{
				for (int g = 0; g < n; g++)
				{
					if (j + 1 == niz3[g])
					{
						sum++;
					}
				}
			}
		}
	}
	printf("%d", sum);
	
}